> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Languages

> Returns a list of languages associated with either an Avatar or a Voice



## OpenAPI

````yaml get /project/assets/language/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /project/assets/language/:
    get:
      tags:
        - project
      description: Returns a list of languages associated with the Avatar
      operationId: List Languages
      parameters:
        - in: query
          name: avatar_id
          schema:
            type: string
            format: uuid
          description: Languagues associated with the avatar
          examples:
            Example-avatarId:
              value: 1ba08abc-b551-4893-b816-f072eb6565c4
              summary: Example avatar id
        - in: query
          name: voice_id
          schema:
            type: string
            format: uuid
          description: Languages associated with the voice
          examples:
            Example-voiceId:
              value: 1ba08abc-b551-4893-b816-f072eb6565c4
              summary: Example voice id
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiLanguage'
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    ApiLanguage:
      type: object
      description: Allows to specify fields to be included
      properties:
        id:
          type: integer
          readOnly: true
          description: Unique Identifier for the language
        name:
          type: string
          readOnly: true
          description: Name of the language.
      required:
        - id
        - name
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````